%define name	perl-Mail-RBL
%define version	1.00
%define release	3mdk

Summary:	Mail-RBL module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Mail-RBL-1.00.tar.bz2
Url:		http://www.cpan.org
Requires:	perl 
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch: 	noarch

%description
Mail-RBL module for perl

%prep
%setup -q -n Mail-RBL-%{version} 

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install

rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Mail/*
%{_mandir}/*/*

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.00-3mdk
- build release

* Wed Jul 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.00-2mdk
- rebuild with new perl

* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.00-1mdk
- initial cooker contrib.
